For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • POSTTrigger an immediate IMAP poll
      • POSTStart IMAP polling
      • GETGet IMAP polling status
      • POSTStop IMAP polling
      • POSTSend a test email via SMTP
      • POSTVerify IMAP + SMTP connection
Dashboard
LogoLogo
Runtype APIEmail IMAP

Trigger an immediate IMAP poll

POST
/v1/messaging/imap/:surfaceId/poll-now
POST
/v1/messaging/imap/:surfaceId/poll-now
$curl -X POST https://api.runtype.com/v1/messaging/imap/surfaceId/poll-now \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "success": true
3}
Forces the polling Durable Object to poll immediately. Requires polling to be active.
Was this page helpful?
Previous

Start IMAP polling

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Path parameters

surfaceIdstringRequired

Response

Poll triggered
successboolean

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error